Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department: CC-DA/ETV Affected Products: ADTF 3.12.7, ADTF Calibration Toolbox

3.4.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: CalibrationTB::XCP

Resolution: Solved Issue FAQ Links:  

Description

Support Anfrage:

ich habe eine kurze Frage zum Verständniss der Funktionsweise des "XCP Decode" Filters.

Ich kann mit der "map" Datei am Decode Filter mehrere "output pins" konfigurieren, diesen dann jeweils ein XCP DAQ Event

zuordnen.

Wenn ich mehrere Pins habe, kann ich diesen unterschiedliche DAQ Events zuweisen. Jeden dieser Pins kann ich mehrere XCP

Signale aus der a2l Datei zuweisen.

Wenn diese Konfiguration dann läuft, verhält es sich wie folgt.

Wenn das Target ein XCP Event auslöst, werden die Signale, die in denm Pin konfiguriert sind mit dem gleiche XCP Event an ADTF

verschickt.

Ist mein Verständnis korrekt ?

Wenn ich ein Signal in mehreren der Output Pins konfiguriere, wird es jeweils entsprechend des zugehörigen XCP Events an ADTF

verschickt.

Ist das auch korrekt ?

=== weitere Fragen ===

Wenn ich mit dem Signal Editor am Decode Fitler eine map Datei konfiguriere, kann ich ebenfalls "Input Pins" konfigurieren.

Welche Verhalten haben die "Input Pins" am Decode Filter (ebenso wie konfigurierbare Output Pins am Encode Filter) ?

ADTF 3.12.8 / Calibration TB 3.4.1

Lösung:

Wenn das Target ein XCP Event auslöst, werden die Signale, die in denm Pin konfiguriert sind mit dem gleiche XCP Event an

ADTF verschickt.

Ist mein Verständnis korrekt ?

 JA

Wenn ich ein Signal in mehreren der Output Pins konfiguriere, wird es jeweils entsprechend des zugehörigen XCP Events an

ADTF verschickt.

Ist das auch korrekt ?

 JA

Welche Verhalten haben die "Input Pins" am Decode Filter (ebenso wie konfigurierbare Output Pins am Encode Filter) ?

 Kommt auf die Konfiguration an :-). Wenn kein DAQ Event bei den Input Pins konfiguriert ist, werden die Signale synchron per

DOWNLOAD ins Steuergerät geschrieben.
Ansonsten werden sie per STIM (also als DAQ Liste) ans Steuergerät geschickt und dort dann beim Auftreten des DAQ EVents

übernomme

Was ist der Unterschied zwischen "Input Pins"

vom "Decode" Filter und vom "Encode" Filter?

bzw.

Was ist der Unterschied zwischen "Output Pins"

vom "Encode" Filter und vom "Decode" Filter?

 Früher (ADTF 2) gab es ja nur den "Codec" Filter welcher Input Pins für STIM hatte und Output Pins für MEASURE.

Meine aktuelle Annahme ist, dass der "Decode" Filter nur für MEASURE zuständig ist und dem zufolge nur Output Pins

benötigt.

Der "Encode" Filter für STIM zuständig und benötigt deshalb nur Input Pins.

Ich kann aber bei beiden Filtern über den Signal Editor jeweils "Input" und "Output" Pins konfigurieren.

 Deine Annahme ist völlig korrekt! Das man jeweils beides konfigurieren kann, ermöglicht es einem, ein und die selbe .map Datei für

den Encoder und den Decoder zu verwenden.

Der Encoder erzeugt immer nur "Input Pins" der Decoder nur die "Output Pins".

History

#1 - 2021-09-09 09:11 - hidden

- Status changed from New to In Progress

#2 - 2021-09-09 11:30 - hidden

Thomas Gey wrote:

ADTF 3.12.8 / Calibration TB 3.4.1

Hallo zusammen,

ich habe eine kurze Frage zum Verständniss der Funktionsweise des "XCP Decode" Filters.

Ich kann mit der "map" Datei am Decode Filter mehrere "output pins" konfigurieren, diesen dann jeweils ein XCP DAQ Event zuordnen.

Wenn ich mehrere Pins habe, kann ich diesen unterschiedliche DAQ Events zuweisen. Jeden dieser Pins kann ich mehrere XCP Signale aus

der a2l Datei zuweisen.

Wenn diese Konfiguration dann läuft, verhält es sich wie folgt.

Wenn das Target ein XCP Event auslöst, werden die Signale, die in denm Pin konfiguriert sind mit dem gleiche XCP Event an ADTF verschickt.

Ist mein Verständnis korrekt ?

 Ja

Wenn ich ein Signal in mehreren der Output Pins konfiguriere, wird es jeweils entsprechend des zugehörigen XCP Events an ADTF verschickt.

Ist das auch korrekt ?

 Ja

=== weitere Fragen ===

Wenn ich mit dem Signal Editor am Decode Fitler eine map Datei konfiguriere, kann ich ebenfalls "Input Pins" konfigurieren.

Welche Verhalten habaen die "Input Pins" am Decode Filter (ebenso wie konfigurierbare Output Pins am Encode Filter) ?

 Kommt auf die Konfiguration an :-). Wenn kein DAQ Event bei den Input Pins konfiguriert ist, werden die Signale synchron per DOWNLOAD ins

Steuergerät geschrieben.

Ansonsten werden sie per STIM (also als DAQ Liste) ans Steuergerät geschickt und dort dann beim Auftreten des DAQ EVents übernommen.

Hoffe das hilft.

Grüße,

Martin

#3 - 2021-09-09 11:36 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2021-09-09 14:20 - hidden
Hallo Martin,

ich hab es nicht ganz verstanden.

Vielleicht formuliere ich die Frage nochmal anders.

Was ist der Unterschied zwischen "Input Pins"

vom "Decode" Filter und vom "Encode" Filter?

bzw.

Was ist der Unterschied zwischen "Output Pins"

vom "Encode" Filter und vom "Decode" Filter?

Früher (ADTF 2) gab es ja nur den "Codec" Filter welcher Input Pins für STIM hatte und Output Pins für MEASURE.

Meine aktuelle Annahme ist, dass der "Decode" Filter nur für MEASURE zuständig ist und dem zufolge nur Output Pins benötigt.

Der "Encode" Filter für STIM zuständig und benötigt deshalb nur Input Pins.

Ich kann aber bei beiden Filtern über den Signal Editor jeweils "Input" und "Output" Pins konfigurieren.

Gruß Thomas

#5 - 2021-09-10 06:27 - hidden

Hi Thomas,

deine Annahme ist völlig korrekt! Das man jeweils beides konfigurieren kann, ermöglicht es einem, ein und die selbe .map Datei für den Encoder und

den Decoder zu verwenden.

Der Encoder erzeugt immer nur "Input Pins" der Decoder nur die "Output Pins".

Grüße,

Martin

#6 - 2021-09-10 12:26 - hidden

Vielen Dank,

jetzt ist mir alles klar.

das Ticket kann geschlossen werden.

#7 - 2021-09-10 12:35 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Topic set to CalibrationTB::Common

- Resolution set to Solved Issue

#8 - 2021-09-10 13:11 - hidden

- Description updated

- Topic changed from CalibrationTB::Common to CalibrationTB::XCP

#9 - 2021-09-13 07:24 - hidden

- Project changed from 5 to Public Support

- Subject changed from Question : Behavior XCP Decode filter with multiple DAQ event pins to Behavior XCP Decode filter with multiple DAQ event

pins

- Private changed from Yes to No

#10 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
